body {
    font-family: 'IBM Plex Sans', sans-serif;
    color: #072F60;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance: textfield;
}

.form__groups {
    padding: 40px;
    border-radius: 6px;
    box-shadow: 0 4px 6px -1px rgba(0,0,0,0.1), 0 2px 4px -1px rgba(0,0,0,0.06);
    border: 1px solid #eee;
}

.form__group label {
    display: block;
    margin: 0 0 10px 0;
    font-size: 16px;
    font-weight: 400;
    color: #666666;
}

.form__group .select__currency {
    position: absolute;
    top: 0;
    right: 0;
    padding: 0;
    width: 70px;
}

.form__group input,
.form__group select {
    position: relative;
    padding: 8px 20px;
    color: #072F60;
    background: #F6F7F9;
    height: 50px;
    width: 100%;
    border: 0;
    border-radius: 4px;
    -webkit-appearance: none;
    -moz-appearance: none;
}

.form__group input:focus-visible,
.form__group select:focus-visible {
    outline: none;
}

.form__group .input__group:after {
    content: '\f078';
    display: block;
    position: absolute;
    z-index: 0;
    top: 50%;
    transform: translateY(-50%);
    right: 20px;
    line-height: 32px;
    font-family: 'Font Awesome 6 Free';
    font-size: 13px;
    font-weight: 700;
    color: #072F60;
    pointer-events: none;
}

.btn__add {
    width: 100%;
    max-width: 200px;
    height: 50px;
    border-radius: 3px;
    font-size: 16px;
    background: transparent;
    color: #3BBCA7;
    border: 2px solid #3BBCA7;
    outline: 0;
    transition: 0.3s;
}

.btn__add:hover {
    border: 2px solid #072F60;
    color: #072F60;
}

.btn__calculate {
    width: 100%;
    max-width: 200px;
    height: 50px;
    border-radius: 3px;
    background: #3BBCA7;
    border: 1px solid #3BBCA7;
    color: #ffffff;
    font-size: 16px;
    outline: 0;
    transition: 0.3s;
}

.btn__calculate:hover {
    border: 2px solid #072F60;
    background: #072F60;
}

.btn__calculate:disabled {
    opacity: 0.5;
}

.btn__calculate:disabled:hover {
    background: #3BBCA7;
    border: 1px solid #3BBCA7;
}

.loan__results .results__items {
    padding: 40px;
    border-radius: 6px;
    box-shadow: 0 4px 6px -1px rgba(0,0,0,0.1), 0 2px 4px -1px rgba(0,0,0,0.06);
    background: #F6F7F9;
    border: 1px solid #eee;
}

.loan__results .result__groups {
    overflow-x: auto;
    width: 80%;
    min-width: 80%;
}

.loan__results .result__groups::-webkit-scrollbar {
    display: none;
}

.loan__results .result__group {
    width: 20%;
    min-width: 20%;
}

.loan__results .result__item {
    font-size: 16px;
    color: #666666;
    height: 50px;
}

.loan__results .result__title {
    height: 30px;
}

.loan__results .result__item > span {
    font-size: 18px;
}

.loan__results .result__item:not(:last-child) {
    border-bottom: 1px solid #ebebeb;
}

.loan__results .result__item span {
    color: #1E293B;
}

@media (min-width: 768px) and (max-width: 991px) {
    .form__groups,
    .loan__results .results__items{
        padding: 30px;
    }

    .loan__results .result__group {
        width: 25%;
        min-width: 25%;
    }

    .loan__results .result__groups {
        width: 75%;
        min-width: 75%;
    }

    .loan__results .result__groups .result__group {
        width: 30%;
        min-width: 30%;
    }
}

@media (max-width: 767px) {
    .form__groups,
    .loan__results .results__items{
        padding: 30px 20px;
    }

    .btn__add,
    .btn__calculate {
        max-width: 100%;
    }

    .loan__results .result__group {
        width: 50%;
        min-width: 50%;
    }

    .loan__results .result__groups {
        width: 50%;
        min-width: 50%;
    }

    .loan__results .result__groups .result__group {
        width: max-content;
        min-width: max-content;
    }

    .loan__results .result__groups .result__group .result__title,
    .loan__results .result__groups .result__group .result__item {
        padding: 0 30px;
    }
}